> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prophecy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Microsoft SharePoint connection properties API

> Properties required to create and update SharePoint connections

Properties for SharePoint connections are specified in the `properties` object when creating or updating a connection. All properties are nested within the connection request body.

## Properties

<ParamField body="siteUrl" type="string" required>
  SharePoint site URL.

  Format: `https://{tenant}.sharepoint.com/sites/{sitename}`
</ParamField>

<ParamField body="tenantId" type="string" required>
  Azure Active Directory tenant ID.
</ParamField>

<ParamField body="clientId" type="string" required>
  Azure Active Directory application (client) ID.
</ParamField>

<ParamField body="clientSecret" type="object" required>
  Reference to a Prophecy secret containing the Azure client secret.

  * When using the [create connection API](/api-reference/connections/add-connection-to-fabric), the secret must be stored in Prophecy before creating the connection.
  * When using the [create fabric API](/api-reference/fabrics/create-a-new-fabric), replace this whole object with the string `{{SECRET}}`, which references the secret being created in parallel to the connection.

  <Expandable title="clientSecret properties">
    <ParamField body="clientSecret.kind" type="string" required>
      Secret kind. Must be `prophecy`.
    </ParamField>

    <ParamField body="clientSecret.subKind" type="string" required>
      Secret sub-type. Must be `text` for client secrets.
    </ParamField>

    <ParamField body="clientSecret.type" type="string" required>
      Type of reference. Must be `secret`.
    </ParamField>

    <ParamField body="clientSecret.properties" type="object" required>
      Properties identifying the secret by ID and name.
    </ParamField>

    <ParamField body="clientSecret.properties.id" type="string" required>
      The ID of the secret stored in Prophecy. Find the ID using the [List secrets per fabric
      API](/api-reference/secrets/list-secrets-per-fabric).
    </ParamField>

    <ParamField body="clientSecret.properties.name" type="string" required>
      The name of the secret stored in Prophecy.
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="kgConfig" type="object">
  Knowledge graph configuration settings for the connection. See the [Knowledge graph
  indexer](/api-reference/connections/properties/kgconfig) properties for more information.
</ParamField>
